Bug 103509 - Options setting for updfstab
Options setting for updfstab
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
: 89194 126893 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-09-01 09:36 EDT by Bill Tonseth
Modified: 2014-03-16 22:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-31 16:59:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to implement a solution (2.57 KB, patch)
2003-09-01 09:40 EDT, Bill Tonseth
no flags Details | Diff
patch to possibly fix automounting (1.89 KB, patch)
2003-09-01 18:45 EDT, Bill Tonseth
no flags Details | Diff

  None (edit)
Description Bill Tonseth 2003-09-01 09:36:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Similar to bug 89194 and 10503, It would be very useful to provide the ability
to specify additional mount options in updfstab.conf

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.This is an enhancement

Additional info:patch to be forewarded
Comment 1 Bill Tonseth 2003-09-01 09:40:24 EDT
Created attachment 94114 [details]
patch to implement a solution
Comment 2 Bill Tonseth 2003-09-01 18:45:59 EDT
Created attachment 94128 [details]
patch to possibly fix automounting

Although I am not sure of what all the issues in automounting are, this patch
seems like a good start.  I seemed to work in very linited usage
Comment 3 John Van Ostrand 2003-10-31 09:31:09 EST
The patch applies the user-options after the default options and this has caused
problems in the way I am using it.

On Red Hat 9 I found that specifying mount options at the end were ignored.

Specifically this involes a USB memory key with a vfat file system. I was using
the "umask=077" option and it was ignored until I put it before the entire string.

The option combiation that didn't work is:


The option combination that worked fine is:

Comment 4 Bill Nottingham 2004-04-16 00:44:20 EDT
*** Bug 89194 has been marked as a duplicate of this bug. ***
Comment 5 David Juran 2004-04-22 10:46:23 EDT
I would like to stress the importance of this enhancement. Since each
write wears on a flash memory, USB drives reallly should be mounted
with then option 'noatime'
Comment 6 Bill Nottingham 2004-06-29 01:17:26 EDT
*** Bug 126893 has been marked as a duplicate of this bug. ***
Comment 7 Bill Nottingham 2005-03-31 16:59:13 EST
As updfstab is no longer used in current releases (removable media mounting is
done via HAL, fstab-sync, and gnome-volume-manager), changes to updfstab will
almost certainly not be addressed.

Note You need to log in before you can comment on or make changes to this bug.